<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.maintain.DetonatorMapper">

    <resultMap id="detonatorMap" type="com.tofly.pojo.maintain.Detonator">
        <id property="id" column="ID"/>
        <result property="detonatorReason" column="DETONATOR_REASON"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName"/>
    </resultMap>


    <select id="getDetonatorReasonName" resultType="java.lang.String">
        select detonatorReason
        from TF_YWPN_DETONATOR_D
        where id = #{id}
    </select>
</mapper>
